vty-5.28.2: A simple terminal UI library

Safe Haskell | None
Language | Haskell2010

Graphics.Vty.Debug

# Documentation

data MockWindow Source #

Constructors

MockWindow Int Int |

#### Instances

Instances details

Eq MockWindow Source # |
Instance details Defined in Graphics.Vty.Debug Methods (==) :: MockWindow -> MockWindow -> Bool (/=) :: MockWindow -> MockWindow -> Bool
Show MockWindow Source # |
Instance details Defined in Graphics.Vty.Debug Methods showsPrec :: Int -> MockWindow -> ShowS show :: MockWindow -> String showList :: [MockWindow] -> ShowS

data SpanConstructEvent Source #

Constructors

SpanSetAttr Attr |

type SpanConstructLog = [SpanConstructEvent] Source #

rowOpsAffectedColumns :: DisplayOps -> [Int] Source #

allSpansHaveWidth :: DisplayOps -> Int -> Bool Source #

spanOpsAffectedRows :: DisplayOps -> Int Source #

isSetAttr :: Attr -> SpanConstructEvent -> Bool Source #

regionForWindow :: MockWindow -> DisplayRegion Source #

type ImageConstructLog = [ImageConstructEvent] Source #

data ImageConstructEvent Source #

Constructors

ImageConstructEvent |

#### Instances

Instances details

Eq ImageConstructEvent Source # |
Instance details Defined in Graphics.Vty.Debug.Image Methods (==) :: ImageConstructEvent -> ImageConstructEvent -> Bool (/=) :: ImageConstructEvent -> ImageConstructEvent -> Bool
Show ImageConstructEvent Source # |
Instance details Defined in Graphics.Vty.Debug.Image Methods showsPrec :: Int -> ImageConstructEvent -> ShowS show :: ImageConstructEvent -> String showList :: [ImageConstructEvent] -> ShowS

forwardImageOps :: [Image -> Image] Source #

forwardTransform :: ImageOp -> Image -> Image Source #

reverseTransform :: ImageOp -> Image -> Image Source #

data ImageOp Source #

Constructors

ImageOp ImageEndo ImageEndo |

type ImageEndo = Image -> Image Source #

debugImageOps :: [ImageOp] Source #

idImageOp :: ImageOp Source #